Name:     libksba
Version:  1.3.5
Release:  12
Summary:  A library for X.509 and CMS
License:  (LGPL-3.0+ or GPL-2.0+) and GPL-3.0+ and MIT
URL:      https://www.gnupg.org/software/libksba/index.html
Source0:  ftp://ftp.gnupg.org/gcrypt/libksba/libksba-%{version}.tar.bz2
Source1:  ftp://ftp.gnupg.org/gcrypt/libksba/libksba-%{version}.tar.bz2.sig

BuildRequires: gcc gawk libgpg-error-devel >= 1.8 libgcrypt-devel >= 1.2.0

%description
Libksba is a library to make the tasks of working with X.509 certificates,
CMS data and related objects more easy. It provides a highlevel interface to
the implemented protocols and presents the data in a consistent way.

%package devel
Summary: Development headers and libraries for %{name}
Requires:%{name} = %{version}-%{release}
Requires(post): info
Requires(preun):info

%description devel
Development headers and libraries for %{name}

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
%delete_la

%check
make check

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license COPYING* AUTHORS
%doc ChangeLog README NEWS  THANKS
%{_libdir}/libksba.so.*
%exclude %{_infodir}/dir

%post devel
install-info %{_infodir}/ksba.info %{_infodir}/dir ||:

%preun devel
if [ $1 -eq 0 ]; then
  install-info --delete %{_infodir}/ksba.info %{_infodir}/dir ||:
fi

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*.h
%{_libdir}/*.so
%{_datadir}/aclocal/ksba.m4

%files help
%doc TODO 
%{_datadir}/info/ksba.info.gz

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-12
- delete unused patch

* Wed Oct 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-11
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: change the directory of AUTHORS

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: revise spec file with new rules

* Mon Aug 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-9
- Package init
